#
# Build stage based on Maven
#
FROM maven:3.6.0-jdk-11-slim AS build
COPY src /home/app/src
COPY pom.xml /home/app
RUN ["mvn", "-f", "/home/app/pom.xml", "clean", "package", "-DskipTests"]

#
# Page stage based on OpenJDK:11
#
FROM openjdk:11-jre-slim
COPY --from=build /home/app/target/test-containers.jar /usr/local/lib/app.jar
EXPOSE 8080
ENTRYPOINT ["java","-Dspring.profiles.active=local", "-jar", "/usr/local/lib/app.jar"]